
GammaLib - Action #778

Feature # 692 (Closed): Perform an extensive interface review of all classes

Review numerics module classes

02/20/2013 03:21 AM - Knödlseder Jürgen

Status: Closed Start date: 02/20/2013

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 5.00 hours

Target version: 00-08-00   

Description

History

#1 - 02/20/2013 03:22 AM - Knödlseder Jürgen

The following classes have been reviewed:

Class Comment

GDerivative Declare some methods inline, pass output arguments as pointers

GIntegral Declare some methods inline, pass output arguments as pointers

GFunction eval() method now takes a const reference as argument

GMath No modifications

#2 - 12/03/2013 01:42 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

- Remaining (hours) changed from 5.0 to 1.0

Review started.

#3 - 12/03/2013 02:41 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

- Remaining (hours) changed from 1.0 to 0.0

Finished code review.
